<?php
/*
Plugin Name: Fudousan Plugin
Plugin URI: http://nendeb.jp/
Description: Fudousan Plugin for Real Estate
Version: 1.0.3
Author: nendeb
Author URI: http://nendeb.jp/
*/

// Define current version constant
define( 'FUDOU_VERSION', '1.0.3' );


/*  Copyright 2011 nendeb (email : nendeb@gmail.com )

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/

if (!defined('WP_CONTENT_URL'))
      define('WP_CONTENT_URL', get_option('siteurl').'/wp-content');
if (!defined('WP_CONTENT_DIR'))
      define('WP_CONTENT_DIR', ABSPATH.'wp-content');
if (!defined('WP_PLUGIN_URL'))
      define('WP_PLUGIN_URL', WP_CONTENT_URL.'/plugins');
if (!defined('WP_PLUGIN_DIR'))
      define('WP_PLUGIN_DIR', WP_CONTENT_DIR.'/plugins');

if (!defined('FUDOU_SSL_MODE'))
      define('FUDOU_SSL_MODE', 1);

if (!defined('FUDOU_IMG_MAX'))
      define('FUDOU_IMG_MAX', 20);


include_once( dirname(__FILE__).'/data/work-fudo.php');
require_once 'fudo-functions.php';
require_once 'fudo-widget.php';
require_once 'csv_import/csv_import.php';
require_once 'admin_fudou.php';
require_once 'admin_fudou2.php';
require_once 'fudo-widget2.php';
require_once 'fudo-widget3.php';


remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'rsd_link');
/*
remove_action('wp_head', 'wp_generator');
remove_action('wp_head', 'wp_enqueue_scripts', 1); 
remove_action('wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0); 
remove_action('wp_head', 'feed_links_extra',3,0); 
remove_action('wp_head', 'index_rel_link'); 
remove_action('wp_head', 'parent_post_rel_link'); 
remove_action('wp_head', 'start_post_rel_link'); 
remove_action('wp_head', 'rel_canonical'); 
*/



//rss 会員
remove_filter('do_feed_rdf', 'do_feed_rdf', 10);
remove_filter('do_feed_rss', 'do_feed_rss', 10);
remove_filter('do_feed_rss2', 'do_feed_rss2', 10);
remove_filter('do_feed_atom', 'do_feed_atom', 10);

//rss 会員
function custom_feed_rdf() {
	$template_file = WP_PLUGIN_DIR . '/fudou/themes/feed-rdf.php';
/*
	$template_file = ( file_exists( get_template_directory() . $template_file )
		? get_template_directory()
		: ABSPATH . WPINC
		) . $template_file;
*/
	load_template( $template_file );
}
add_action('do_feed_rdf', 'custom_feed_rdf', 10, 1);

function custom_feed_rss() {
	$template_file = WP_PLUGIN_DIR . '/fudou/themes/feed-rss.php';
	load_template( $template_file );
}
add_action('do_feed_rss', 'custom_feed_rss', 10, 1);

function custom_feed_rss2( $for_comments ) {
	$template_file = WP_PLUGIN_DIR . '/fudou/themes/feed-rss2' . ( $for_comments ? '-comments' : '' ) . '.php';
	load_template( $template_file );
}
add_action('do_feed_rss2', 'custom_feed_rss2', 10, 1);

function custom_feed_atom( $for_comments ) {
	$template_file = WP_PLUGIN_DIR . '/fudou/themes/feed-atom' . ( $for_comments ? '-comments' : '' ) . '.php';
	load_template( $template_file );
}
add_action('do_feed_atom', 'custom_feed_atom', 10, 1); 



//データーベース設定
function init_data_tables_fudo() {
	include_once( dirname(__FILE__).'/data/fudo-configdatabase.php');
	databaseinstallation_fudo(0);
}
register_activation_hook(__FILE__,'init_data_tables_fudo');

//データーベース他 チェック
function databaseinstallation_warnings() {
	global $wpdb;

	$results1 = $wpdb->get_row("SELECT * FROM " .$wpdb->prefix. "area_middle_area WHERE 1");
	$results2 = $wpdb->get_row("SELECT * FROM " .$wpdb->prefix. "area_narrow_area WHERE 1");
	$results3 = $wpdb->get_row("SELECT * FROM " .$wpdb->prefix. "train_area_rosen WHERE 1");
	$results4 = $wpdb->get_row("SELECT * FROM " .$wpdb->prefix. "train_rosen WHERE 1");
	$results5 = $wpdb->get_row("SELECT * FROM " .$wpdb->prefix. "train_station WHERE 1");

	if( empty($results1) || empty($results2) || empty($results3) || empty($results4) || empty($results5) ){
		function databaseinstallation_notices() {
			echo '<div class="error" style="text-align: center;"><p>データーベースを登録できませんでした。サーバーに問題があるのかも知れません。[Fudousan Plugin]</p></div>';
		}
		add_action('admin_notices', 'databaseinstallation_notices');
	}

	// ダッシュボードウィジェット
	add_action('wp_dashboard_setup', 'fudo_add_dashboard_widgets' );
	add_action('wp_dashboard_setup', 'fudodl_add_dashboard_widgets' );
	if ( is_multisite() ) {
		function multi_site_notices() {
			echo '<div class="error" style="text-align: center;"><p>マルチサイトでは利用できません。</p></div>';
		}
		add_action('admin_notices', 'multi_site_notices');
	}
	//パーマリンクチェック
	$permalink_structure = get_option('permalink_structure');
	if ( $permalink_structure != '' ) {
		function permalink_notices() {
			echo '<div class="error" style="text-align: center;"><p>パーマリンクはデフォルトにしてください。　<a href="options-permalink.php">パーマリンク設定</a></p></div>';
		}
		add_action('admin_notices', 'permalink_notices');
	}

}
add_action('admin_init', 'databaseinstallation_warnings');



//不動産プラグインチェック
function fudou_active_plugins_check(){
	global $is_fudouktai,$is_fudoumap,$is_fudoukaiin,$is_fudoumail,$is_fudourains,$is_fudoucsv;
	$fudo_active_plugins = get_option('active_plugins');
	if(is_array($fudo_active_plugins)) {
		foreach($fudo_active_plugins as $meta_box){
			if( $meta_box == 'fudouktai/fudouktai.php') $is_fudouktai=true;
			if( $meta_box == 'fudoumap/fudoumap.php') $is_fudoumap=true;
			if( $meta_box == 'fudoukaiin/fudoukaiin.php') $is_fudoukaiin=true;
			if( $meta_box == 'fudoumail/fudoumail.php') $is_fudoumail=true;
			if( $meta_box == 'fudourains/fudourains.php') $is_fudourains=true;
			if( $meta_box == 'fudoucsv/fudoucsv.php') $is_fudoucsv=true;
		}
	}
}
add_action('init', 'fudou_active_plugins_check');




//物件詳細テンプレート切替
function get_post_type_single_template($template = '') {
	if ( !is_multisite() ) {
		global $wp_query;
		$object = $wp_query->get_queried_object();
		if($object->post_type == 'fudo'){
			$template = locate_template(array('../../plugins/fudou/themes/single-fudo.php', 'single-fudo.php'));
		}
	}
	return $template;
}
add_filter('template_include', 'get_post_type_single_template');



//物件リストテンプレート切替
function fudo_body_class($class) {
	$class[0] = 'archive archive-fudo';
	return $class;
}
function get_post_type_archive_template($template = '') {
	if ( !is_multisite() ) {
	if ( isset( $_GET['bukken'] ) || isset( $_GET['bukken_tag'] ) ) {
		status_header( 200 );
		$template = locate_template(array('../../plugins/fudou/themes/archive-fudo.php', 'archive.php'));
		add_filter('body_class', 'fudo_body_class');
	 }
	// print_r($template);
	}
	return $template;
}
add_filter('template_include', 'get_post_type_archive_template');


//js CSS追加
function add_post_type_template3() {
	if ( !is_multisite() ) {
	//global $is_iphone;
	//if ( !$is_iphone ){
		echo "\n";
		if ( is_front_page() )
			echo '<script type="text/javascript" src="'.WP_PLUGIN_URL.'/fudou/js/jquery.flatheights.js"></script>';
		if(get_option('template') == 'twentyeleven'){
			//twentyeleven 
			echo '<link rel="stylesheet" type="text/css" media="all" href="'.WP_PLUGIN_URL.'/fudou/themes/style2011.css" />';
			echo "\n";
			echo '<link rel="stylesheet" type="text/css" media="all" href="'.WP_PLUGIN_URL.'/fudou/themes/corners2011.css" />';
		}else{
			//twentyten 他
			echo '<link rel="stylesheet" type="text/css" media="all" href="'.WP_PLUGIN_URL.'/fudou/themes/style.css" />';
			echo "\n";
			echo '<link rel="stylesheet" type="text/css" media="all" href="'.WP_PLUGIN_URL.'/fudou/themes/corners.css" />';
		}
		echo "\n";
		echo '<!-- Fudousan Plugin Ver.'.FUDOU_VERSION.' -->';
		echo "\n";
	//}
	}
}
add_action('wp_head', 'add_post_type_template3');



//トップテンプレート切替
function get_post_type_template3($template = '') {
	if ( is_front_page() ) {
		$template = locate_template(array('../../plugins/fudou/themes/home.php', 'index.php'));
	}
    return $template;
}
add_filter('template_include', 'get_post_type_template3');




//Contact Form 7
function wpcf7_form_tag_filter($tag){
	global $post;
	$post_id = $post->ID;

	if ( ! is_array( $tag ) ) return $tag;

	if($post_id != ""){
		$name = $tag['name'];
		if($name == 'your-subject'){
			$tag_val = get_post_meta($post_id,'shikibesu',true);
			$tag_val .= " ".get_the_title();

			$kakaku_data = get_post_meta($post_id,'kakaku',true);
			if( get_post_meta($post_id, 'seiyakubi', true) != "" ) $kakaku_data = 'ご成約済'; 

			$kakakujoutai_data = get_post_meta($post_id,'kakakujoutai',true);
			if($kakakujoutai_data=="1")	$kakaku_data = '相談';
			if($kakakujoutai_data=="2")	$kakaku_data = '確定';
			if($kakakujoutai_data=="3")	$kakaku_data = '入札';
			
			
			if(is_numeric($kakaku_data)){
				$tag_val .= " ".floatval($kakaku_data)/10000;
				$tag_val .= ""."万円";
			}else{
				$tag_val .= " ".$kakaku_data;
			}
			$tag['values'] = $tag_val;
		}

		if( is_user_logged_in() ){
			global $current_user;
			get_currentuserinfo();
			if($name == 'your-email') $tag['values'] = $current_user->user_email;
			if($name == 'your-name') $tag['values'] = $current_user->user_lastname .' '. $current_user->user_firstname;
		}

	}
	return $tag;
}
add_filter('wpcf7_form_tag', 'wpcf7_form_tag_filter', 11);



//Copyright
function my_footer_post() {
	echo '<div id="nendebcopy"><a href="http://nendeb.jp/" target="_blank" title="WordPress 不動産プラグイン">Fudousan Plugin Ver.'.FUDOU_VERSION.' nendeb</a></div>';
	echo '<!-- Fudousan Plugin Ver.'.FUDOU_VERSION.' -->';
}
add_filter( 'wp_footer', 'my_footer_post' );



//Adding rich text editing 
if (!function_exists('ShowTinyMCE')) {
function ShowTinyMCE() {	global $wp_version;
	global $wp_version;
	$tmp_wp_version = intval(mb_substr($wp_version,0,3,"UTF-8")*10) ;
	if ( $tmp_wp_version < 33 ) {
		$page = isset($_GET['page']) ? $_GET['page'] : null;
		if ( $page == 'fudou/admin_fudou.php') {
			// conditions here
			wp_enqueue_script( 'common' );
			wp_enqueue_script( 'jquery-color' );
			wp_print_scripts('editor');
			if (function_exists('add_thickbox')) add_thickbox();
			wp_print_scripts('media-upload');
			if (function_exists('wp_tiny_mce')) wp_tiny_mce();
			wp_admin_css();
			wp_enqueue_script('utils');
			do_action("admin_print_styles-post-php");
			do_action('admin_print_styles');
		}
	}
}
}
add_filter('admin_head','ShowTinyMCE');


// ビジュアルリッチエディターにボタンを追加
function ilc_mce_buttons($buttons){
	array_push($buttons, "backcolor", "fontsizeselect", "cleanup");
	return $buttons;
}
add_filter("mce_buttons", "ilc_mce_buttons");

//RSS フィード
function my_get_posts( $query ) {
        if ( ( is_home() && false == $query->query_vars['suppress_filters'] ) || is_feed() ) {
		$query->set( 'post_type', array( 'post','page','fudo' ) );
		return $query;
	}
}
add_filter( 'pre_get_posts', 'my_get_posts' );


//物件番号検索
function my_search_where( $where ){
	global $wpdb;
	if( is_search() ){
		$s = esc_sql(esc_attr( stripslashes($_GET['s'])));
		$s = str_replace("&#039;","",$s);
		if ( $s !='' ) {
			$sql = $wpdb->prepare("SELECT DISTINCT post_id FROM $wpdb->postmeta WHERE meta_key = 'shikibesu' AND meta_value ='$s'");
			$where .= " OR $wpdb->posts.ID in ($sql)";
			$sql2 = "SELECT DISTINCT ID FROM $wpdb->posts WHERE post_status='publish' AND post_password = '' AND post_title LIKE '%$s%'";
			$where .= " OR $wpdb->posts.ID in ($sql2)";
		}
	}
	return $where;
}
add_filter('posts_where', 'my_search_where' );


//SEO keywords description
function my_keywords() {
	global $post;
	if (is_single()){
		$fudokeywords = get_post_meta($post->ID,'fudokeywords',true);
		if($fudokeywords != ''){
			echo "\n";
			echo '<meta name="keywords" content="'.$fudokeywords.'" />';
		}

		$fudodescription = get_post_meta($post->ID,'fudodescription',true);
		if($fudodescription != ''){
			echo "\n";
			echo '<meta name="description" content="'.$fudodescription.'" />';
		}
      }
}
add_action('wp_head', 'my_keywords');


//半角数字チェック   
if (!function_exists('myIsNum_f')) {
	function myIsNum_f($value) {
		if (is_array($value)) return ;
		if (preg_match("/^[0-9]+$/", $value)) {
			return $value;
		}
	}
}


?>
